<?php
namespace Bushelpowered\Api\Aggregator\Payments\V1\Model;
        
class InvoiceAttachment 
{
    /** @var int $centreId The id of the settlement in centre*/
    public int $centreId;
    /** @var string $displayId The display id of the settlement*/
    public string $displayId;
    /** @var string $invoiceDate The invoice_date in centre. Most likely also the created at of yyyy-MM-dd format, IE: 2023-10-04*/
    public string $invoiceDate;

    /**
     * @param  int  $centreId The id of the settlement in centre
     * @param  string  $displayId The display id of the settlement
     * @param  string  $invoiceDate The invoice_date in centre. Most likely also the created at of yyyy-MM-dd format, IE: 2023-10-04
     */
    public function __construct(int $centreId, string $displayId, string $invoiceDate)
    {
        $this->centreId = $centreId;
        $this->displayId = $displayId;
        $this->invoiceDate = $invoiceDate;
    }
    

}