<?php
namespace Bushelpowered\Api\Aggregator\Payments\V1\Request;
        
class DeleteScheduledPaymentRequest 
{
    /** @var string $id The id of the Scheduled payment to be deleted.*/
    public string $id;
    /** @var \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentOrigin $paymentOrigin */
    public \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentOrigin $paymentOrigin;

    /**
     * @param  string  $id The id of the Scheduled payment to be deleted.
     * @param  \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentOrigin  $paymentOrigin 
     */
    public function __construct(string $id, \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentOrigin $paymentOrigin)
    {
        $this->id = $id;
        $this->paymentOrigin = $paymentOrigin;
    }
    

}