<?php
namespace Bushelpowered\Api\Finops\Aggregator\V1\Projections;
        
class DealerDetails 
{
    /** @var \Bushelpowered\Api\Finops\Aggregator\V1\Projections\LenderSpecificDealerInfo $lenderSpecificInfo */
    public \Bushelpowered\Api\Finops\Aggregator\V1\Projections\LenderSpecificDealerInfo $lenderSpecificInfo;
    /** @var bool $enabled */
    public bool $enabled;
    /** @var bool $showInProviderList */
    public bool $showInProviderList;
    /** @var string $name */
    public string $name;
    /** @var string $link */
    public string $link;
    /** @var string $phone */
    public string $phone;
    /** @var string $email */
    public string $email;
    /** @var null|string $iconUrl */
    public ?string $iconUrl = null;
    /** @var null|string $bannerUrl */
    public ?string $bannerUrl = null;
    /** @var string[] $allowedWalletIds */
    public array $allowedWalletIds;

    /**
     * @param  \Bushelpowered\Api\Finops\Aggregator\V1\Projections\LenderSpecificDealerInfo  $lenderSpecificInfo 
     * @param  bool  $enabled 
     * @param  bool  $showInProviderList 
     * @param  string  $name 
     * @param  string  $link 
     * @param  string  $phone 
     * @param  string  $email 
     * @param  null|string  $iconUrl 
     * @param  null|string  $bannerUrl 
     * @param  string[]  $allowedWalletIds 
     */
    public function __construct(\Bushelpowered\Api\Finops\Aggregator\V1\Projections\LenderSpecificDealerInfo $lenderSpecificInfo, bool $enabled, bool $showInProviderList, string $name, string $link, string $phone, string $email, ?string $iconUrl, ?string $bannerUrl, array $allowedWalletIds)
    {
        $this->lenderSpecificInfo = $lenderSpecificInfo;
        $this->enabled = $enabled;
        $this->showInProviderList = $showInProviderList;
        $this->name = $name;
        $this->link = $link;
        $this->phone = $phone;
        $this->email = $email;
        $this->iconUrl = $iconUrl;
        $this->bannerUrl = $bannerUrl;
        $this->allowedWalletIds = $allowedWalletIds;
    }
    

}