<?php
namespace Bushelpowered\Api\Iam\Serviceaccounts\V1\Request;
        
class UpdateServiceAccountRequest 
{
    /** @var string $id The id of the service account to update*/
    public string $id;
    /** @var string $name The name of the service account*/
    public string $name;
    /** @var null|string $description Description of what this service account will do*/
    public ?string $description = null;

    /**
     * @param  string  $id The id of the service account to update
     * @param  string  $name The name of the service account
     * @param  null|string  $description Description of what this service account will do
     */
    public function __construct(string $id, string $name, ?string $description)
    {
        $this->id = $id;
        $this->name = $name;
        $this->description = $description;
    }
    

}