<?php
namespace Bushelpowered\Api\Markets\Aggregator\Bids\V1\Response;
        
class LocationContactInfoResponse 
{
    /** @var string $id */
    public string $id;
    /** @var null|string $businessWebsite */
    public ?string $businessWebsite = null;
    /** @var null|string $businessPhone */
    public ?string $businessPhone = null;

    /**
     * @param  string  $id 
     * @param  null|string  $businessWebsite 
     * @param  null|string  $businessPhone 
     */
    public function __construct(string $id, ?string $businessWebsite, ?string $businessPhone)
    {
        $this->id = $id;
        $this->businessWebsite = $businessWebsite;
        $this->businessPhone = $businessPhone;
    }
    

}