<?php
namespace Bushelpowered\Api\Platform\User\V1\Response;
        
class UserTenantByEmailResponse 
{
    /** @var null|string $jobTitle The job title of the user within the tenant*/
    public ?string $jobTitle = null;
    /** @var bool $isStaff Whether a user is staff or not at the tenant*/
    public bool $isStaff;

    /**
     * @param  null|string  $jobTitle The job title of the user within the tenant
     * @param  bool  $isStaff Whether a user is staff or not at the tenant
     */
    public function __construct(?string $jobTitle, bool $isStaff)
    {
        $this->jobTitle = $jobTitle;
        $this->isStaff = $isStaff;
    }
    

}