<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Model;
        
class Reminder 
{
    /** @var bool $showReminder Whether or not the reminder dialog should be shown to the user*/
    public bool $showReminder;
    /** @var string $unsignedDocumentMessage The message to show the user in the reminder dialog*/
    public string $unsignedDocumentMessage;
    /** @var int $unsignedDocumentCount The number of unsigned documents for the user*/
    public int $unsignedDocumentCount;

    /**
     * @param  bool  $showReminder Whether or not the reminder dialog should be shown to the user
     * @param  string  $unsignedDocumentMessage The message to show the user in the reminder dialog
     * @param  int  $unsignedDocumentCount The number of unsigned documents for the user
     */
    public function __construct(bool $showReminder, string $unsignedDocumentMessage, int $unsignedDocumentCount)
    {
        $this->showReminder = $showReminder;
        $this->unsignedDocumentMessage = $unsignedDocumentMessage;
        $this->unsignedDocumentCount = $unsignedDocumentCount;
    }
    

}