<?php
namespace Bushelpowered\Api\Wallet\Aggregator\V1\Loanlink\Initiate\Dto;
        
class DynamicLoanLinkInitiationInput 
{
    /** @var string $dealerId */
    public string $dealerId;
    /** @var string $walletId */
    public string $walletId;
    /** @var \Bushelpowered\Api\Wallet\Aggregator\V1\Loanlink\Initiate\Dto\AcknowledgedLegalTerm[] $termsAndConditions */
    public array $termsAndConditions;
    /** @var array $dynamicInput */
    public array $dynamicInput;

    /**
     * @param  string  $dealerId 
     * @param  string  $walletId 
     * @param  \Bushelpowered\Api\Wallet\Aggregator\V1\Loanlink\Initiate\Dto\AcknowledgedLegalTerm[]  $termsAndConditions 
     * @param  array  $dynamicInput 
     */
    public function __construct(string $dealerId, string $walletId, array $termsAndConditions, array $dynamicInput)
    {
        $this->dealerId = $dealerId;
        $this->walletId = $walletId;
        $this->termsAndConditions = $termsAndConditions;
        $this->dynamicInput = $dynamicInput;
    }
    

}