<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Request;
        
class GetBusinessLocationByIdRequest 
{
    /** @var string $id The ID of the business location to retrieve.*/
    public string $id;
    /** @var null|string $timezone The timezone to use for the request. If not provided, the server default timezone will be used.*/
    public ?string $timezone = null;

    /**
     * @param  string  $id The ID of the business location to retrieve.
     * @param  null|string  $timezone The timezone to use for the request. If not provided, the server default timezone will be used.
     */
    public function __construct(string $id, ?string $timezone)
    {
        $this->id = $id;
        $this->timezone = $timezone;
    }
    

}