<?php
namespace Bushelpowered\Api\Aggregator\Iam\V1\Response;
        
class StaffUserTenant 
{
    /** @var string $tenantId */
    public string $tenantId;
    /** @var null|string $jobTitle The user's job title*/
    public ?string $jobTitle = null;

    /**
     * @param  string  $tenantId 
     * @param  null|string  $jobTitle The user's job title
     */
    public function __construct(string $tenantId, ?string $jobTitle)
    {
        $this->tenantId = $tenantId;
        $this->jobTitle = $jobTitle;
    }
    

}