<?php
namespace Bushelpowered\Api\Aggregator\Payments\V1\Model;
        
class PaymentAttachment 
{
    /** @var int $centreId The centre id of the Attachment*/
    public int $centreId;
    /** @var \Bushelpowered\Api\Aggregator\Payments\V1\Enums\AttachmentType $attachmentType */
    public \Bushelpowered\Api\Aggregator\Payments\V1\Enums\AttachmentType $attachmentType;

    /**
     * @param  int  $centreId The centre id of the Attachment
     * @param  \Bushelpowered\Api\Aggregator\Payments\V1\Enums\AttachmentType  $attachmentType 
     */
    public function __construct(int $centreId, \Bushelpowered\Api\Aggregator\Payments\V1\Enums\AttachmentType $attachmentType)
    {
        $this->centreId = $centreId;
        $this->attachmentType = $attachmentType;
    }
    

}