<?php
namespace Bushelpowered\Api\Iam\Serviceaccounts\V1\Request;
        
class GetAllServiceAccountKeysRequest 
{
    /** @var null|\Bushelpowered\Api\Iam\Serviceaccounts\V1\Request\ServiceAccountKeysFilters $filters */
    public ?\Bushelpowered\Api\Iam\Serviceaccounts\V1\Request\ServiceAccountKeysFilters $filters = null;
    /** @var null|bool $includeExpired Include expired keys, defaults to false*/
    public ?bool $includeExpired = null;

    /**
     * @param  null|\Bushelpowered\Api\Iam\Serviceaccounts\V1\Request\ServiceAccountKeysFilters  $filters 
     * @param  null|bool  $includeExpired Include expired keys, defaults to false
     */
    public function __construct(?\Bushelpowered\Api\Iam\Serviceaccounts\V1\Request\ServiceAccountKeysFilters $filters, ?bool $includeExpired)
    {
        $this->filters = $filters;
        $this->includeExpired = $includeExpired;
    }
    

}