<?php
namespace Bushelpowered\Api\Iam\Serviceaccounts\V1\Request;
        
class ServiceAccountKeysFilters 
{
    /** @var string[]|null $ids Filter by service account key ids*/
    public ?array $ids = null;
    /** @var string[]|null $tenantIds Filter by tenant ids*/
    public ?array $tenantIds = null;
    /** @var string[]|null $serviceAccountIds Filter by service account ids*/
    public ?array $serviceAccountIds = null;

    /**
     * @param  string[]|null  $ids Filter by service account key ids
     * @param  string[]|null  $tenantIds Filter by tenant ids
     * @param  string[]|null  $serviceAccountIds Filter by service account ids
     */
    public function __construct(?array $ids, ?array $tenantIds, ?array $serviceAccountIds)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
        $this->serviceAccountIds = $serviceAccountIds;
    }
    

}