<?php
namespace Bushelpowered\Api\Markets\Aggregator\Bids\V1\Response;
        
class BidsListLocation 
{
    /** @var string $id */
    public string $id;
    /** @var string $name */
    public string $name;
    /** @var \Bushelpowered\Api\Markets\Aggregator\Bids\V1\Response\BidsListBidGroup[] $groups Groups of bids at location. Usually grouped by commodity.*/
    public array $groups;

    /**
     * @param  string  $id 
     * @param  string  $name 
     * @param  \Bushelpowered\Api\Markets\Aggregator\Bids\V1\Response\BidsListBidGroup[]  $groups Groups of bids at location. Usually grouped by commodity.
     */
    public function __construct(string $id, string $name, array $groups)
    {
        $this->id = $id;
        $this->name = $name;
        $this->groups = $groups;
    }
    

}