<?php
namespace Bushelpowered\Api\Platform\Connection\V1\Request;
        
class CreateOrUpdateConnectionRequest 
{
    /** @var string $tenantId The tenant identifier.*/
    public string $tenantId;
    /** @var string $accountId The account identifier.*/
    public string $accountId;
    /** @var string $featureId */
    public string $featureId;
    /** @var bool $isConnected */
    public bool $isConnected;

    /**
     * @param  string  $tenantId The tenant identifier.
     * @param  string  $accountId The account identifier.
     * @param  string  $featureId 
     * @param  bool  $isConnected 
     */
    public function __construct(string $tenantId, string $accountId, string $featureId, bool $isConnected)
    {
        $this->tenantId = $tenantId;
        $this->accountId = $accountId;
        $this->featureId = $featureId;
        $this->isConnected = $isConnected;
    }
    

}