<?php
namespace Bushelpowered\Api\Trade\Config\V1\Model;
        
class LocationConfiguration 
{
    /** @var string $locationId The Location's unique identifier. From the Tenant Service.*/
    public string $locationId;
    /** @var \Bushelpowered\Api\Common\Config\Model\Configuration[] $configurations This Location's configurations.*/
    public array $configurations;

    /**
     * @param  string  $locationId The Location's unique identifier. From the Tenant Service.
     * @param  \Bushelpowered\Api\Common\Config\Model\Configuration[]  $configurations This Location's configurations.
     */
    public function __construct(string $locationId, array $configurations)
    {
        $this->locationId = $locationId;
        $this->configurations = $configurations;
    }
    

}